zonelist_import.c File Reference
`#include "config.h"`
`#include "log.h"`
`#include "clientpipe.h"`
`#include "db/zone_db.h"`
`#include "db/key_data.h"`
`#include "db/key_state.h"`
`#include "utils/kc_helper.h"`
`#include "hsmkey/hsm_key_factory.h"`
`#include "keystate/zonelist_import.h"`
`#include <string.h>`
`#include <libxml/parser.h>`
`#include <libxml/tree.h>`

Go to the source code of this file.

## Data Structures

struct | __zonelist_import_zone

## Functions

int | zonelist_import (int sockfd, engine_type *engine, db_connection_t *dbconn, int do_delete, const char *zonelist_path)

## Function Documentation

## zonelist_import()

int zonelist_import | ( | int | sockfd,
|  | engine_type * | engine,
|  | db_connection_t * | dbconn,
|  | int | do_delete,
|  | const char * | zonelist_path )

Definition at line 54 of file zonelist_import.c.

References check_zonelist(), hsm_key_factory_release_key_id(), hsm_key_factory_schedule_generate_all(), key_data_delete(), key_data_free(), key_data_hsm_key_id(), key_data_id(), key_data_list_free(), key_data_list_get_next(), key_data_list_new_get_by_zone_id(), key_data_role_text(), key_state_delete(), key_state_free(), key_state_list_free(), key_state_list_get_next(), key_state_list_new_get_by_key_data_id(), key_state_type_text(), __zonelist_import_zone::name, __zonelist_import_zone::next, __zonelist_import_zone::processed, zone_db_create(), zone_db_create_from_xml(), zone_db_delete(), zone_db_free(), zone_db_get_by_name(), zone_db_id(), zone_db_input_adapter_type(), zone_db_input_adapter_uri(), zone_db_name(), zone_db_new(), zone_db_update(), zone_db_update_from_xml(), zone_list_db_free(), zone_list_db_new_get(), zone_list_db_next(), ZONELIST_IMPORT_ERR_ARGS, ZONELIST_IMPORT_ERR_DATABASE, ZONELIST_IMPORT_ERR_MEMORY, ZONELIST_IMPORT_ERR_XML, ZONELIST_IMPORT_NO_CHANGE, and ZONELIST_IMPORT_OK.